[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

LeastAngleRegressionOptions Class Reference

Pass options to leastAngleRegression(). More...

`#include <vigra/regression.hxx>`

## Public Member Functions

LeastAngleRegressionOptions & | lars ()
LeastAngleRegressionOptions & | lasso ()
| LeastAngleRegressionOptions ()
LeastAngleRegressionOptions & | leastSquaresSolutions (bool select=true)
LeastAngleRegressionOptions & | maxSolutionCount (unsigned int n)
LeastAngleRegressionOptions & | nnlasso ()
LeastAngleRegressionOptions & | setMode (std::string mode)

## Detailed Description

Pass options to leastAngleRegression().

#include <vigra/regression.hxx>
Namespaces: vigra and vigra::linalg

## Constructor & Destructor Documentation

## ◆ LeastAngleRegressionOptions()

LeastAngleRegressionOptions | ( |  | ) |

Initialize all options with default values.

## Member Function Documentation

## ◆ maxSolutionCount()

LeastAngleRegressionOptions & maxSolutionCount | ( | unsigned int | n | ) |

Maximum number of solutions to be computed.

If n is 0 (the default), the number of solutions is determined by the length of the solution array. Otherwise, the minimum of maxSolutionCount() and that length is taken.
Default: 0 (use length of solution array)

## ◆ setMode()

LeastAngleRegressionOptions & setMode | ( | std::string | mode | ) |

Set the mode of the algorithm.

Mode must be one of "lars", "lasso", "nnlasso". The function just calls the member function of the corresponding name to set the mode.

Default: "lasso"

## ◆ lars()

LeastAngleRegressionOptions & lars | ( |  | ) |

Use the plain LARS algorithm.

Default: inactive

## ◆ lasso()

LeastAngleRegressionOptions & lasso | ( |  | ) |

Use the LASSO modification of the LARS algorithm.

This allows features to be removed from the active set under certain conditions.
Default: active

## ◆ nnlasso()

LeastAngleRegressionOptions & nnlasso | ( |  | ) |

Use the non-negative LASSO modification of the LARS algorithm.

This enforces all non-zero entries in the solution to be positive.
Default: inactive

## ◆ leastSquaresSolutions()

LeastAngleRegressionOptions & leastSquaresSolutions | ( | bool | select = `true` | ) |

Compute least squares solutions.

Use least angle regression to determine active sets, but return least squares solutions for the features in each active set, instead of constrained solutions.
Default: `true`

The documentation for this class was generated from the following file:

- vigra/regression.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.2